Skip to main content
GET
/
{org}
/
{repo}
/
diff
Get diff
curl --request GET \
  --url https://api.mesa.dev/v1/{org}/{repo}/diff \
  --header 'Authorization: Bearer <token>'
{
  "base_change_id": "<string>",
  "head_change_id": "<string>",
  "stats": {
    "entries": 123,
    "additions": 123,
    "deletions": 123,
    "changes": 123,
    "conflicted_entries": 123,
    "conflicted_hunks": 123
  },
  "truncated": true,
  "entries": [
    {
      "path": "<string>",
      "status": "added",
      "old_path": "<string>",
      "is_conflicted": true,
      "omitted_reason": "binary",
      "hunks": [
        {
          "old_start": 123,
          "old_lines": 123,
          "new_start": 123,
          "new_lines": 123,
          "lines": [
            {
              "kind": "context",
              "text": "<string>"
            }
          ]
        }
      ],
      "conflict_hunks": [
        {
          "hunk_id": "<string>",
          "old_start": 123,
          "old_lines": 123,
          "new_start": 123,
          "new_lines": 123,
          "target": {
            "content": "<string>"
          },
          "base": {
            "content": "<string>"
          },
          "source": {
            "content": "<string>"
          }
        }
      ],
      "size_bytes": 123
    }
  ],
  "conflicted_entries": [
    {
      "path": "<string>",
      "hunks": [
        {
          "hunk_id": "<string>",
          "old_start": 123,
          "old_lines": 123,
          "new_start": 123,
          "new_lines": 123,
          "target": {
            "content": "<string>"
          },
          "base": {
            "content": "<string>"
          },
          "source": {
            "content": "<string>"
          }
        }
      ],
      "size_bytes": 123,
      "omitted_reason": "binary"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.mesa.dev/llms.txt

Use this file to discover all available pages before exploring further.

Required scope: read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Organization slug

Minimum string length: 1
repo
string
required

Repository name

Minimum string length: 1

Query Parameters

base_change_id
string
required

Base change id for the diff. Use the virtual root change id (zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz) to diff from the empty tree.

Pattern: ^[zyxwvutsrqponmlk]{32}$
head_change_id
string
required

Head change id for the diff. Use the virtual root change id (zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz) to diff against the empty tree.

Pattern: ^[zyxwvutsrqponmlk]{32}$
conflicts
enum<string>
default:include
Available options:
include,
only,
exclude

Response

Diff response

base_change_id
string
required
Pattern: ^[zyxwvutsrqponmlk]{32}$
head_change_id
string
required
Pattern: ^[zyxwvutsrqponmlk]{32}$
stats
object
required
truncated
boolean
required

True when the response hit the server entry limit and is incomplete

entries
object[]
required

Changed entries only. Unchanged paths are omitted from this list

conflicted_entries
object[]
required